summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcomm-10
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-03-10 18:13:28 +0900
committerDaiki Ueno <ueno@gnu.org>2014-03-10 18:24:15 +0900
commitd66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch)
treec4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/msgcomm-10
parent0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff)
downloadexternal_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.zip
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.bz2
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since 'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/msgcomm-10')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/msgcomm-1014
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/msgcomm-10 b/gettext-tools/tests/msgcomm-10
index 443fa86..71402f4 100755..100644
--- a/gettext-tools/tests/msgcomm-10
+++ b/gettext-tools/tests/msgcomm-10
@@ -3,10 +3,6 @@
# Test merge of common entries with --more-than=1 and --omit-header.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles mcomm-test10.in1 mcomm-test10.in2"
cat <<EOF > mcomm-test10.in1
msgid ""
msgstr ""
@@ -41,15 +37,11 @@ msgid "1"
msgstr ""
EOF
-tmpfiles="$tmpfiles mcomm-test10.tmp mcomm-test10.out"
: ${MSGCOMM=msgcomm}
${MSGCOMM} --more-than=1 --no-location --omit-header -o mcomm-test10.tmp \
- mcomm-test10.in1 mcomm-test10.in2
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < mcomm-test10.tmp > mcomm-test10.out
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+ mcomm-test10.in1 mcomm-test10.in2 || exit 1
+LC_ALL=C tr -d '\r' < mcomm-test10.tmp > mcomm-test10.out || exit 1
-tmpfiles="$tmpfiles mcomm-test10.ok"
cat << EOF > mcomm-test10.ok
msgid "1"
msgstr "1x"
@@ -59,6 +51,4 @@ EOF
${DIFF} mcomm-test10.ok mcomm-test10.out
result=$?
-rm -fr $tmpfiles
-
exit $result